<?php

namespace App\Filament\Resources\GameServers;

use App\Filament\Resources\GameServers\Pages\CreateGameServers;
use App\Filament\Resources\GameServers\Pages\EditGameServers;
use App\Filament\Resources\GameServers\Pages\ListGameServers;
use App\Filament\Resources\GameServers\Pages\ViewGameServers;
use App\Filament\Resources\GameServers\Schemas\GameServersForm;
use App\Filament\Resources\GameServers\Schemas\GameServersInfolist;
use App\Filament\Resources\GameServers\Tables\GameServersTable;
use App\Models\GameServers;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class GameServersResource extends Resource
{
    protected static ?string $model = GameServers::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    protected static ?string $recordTitleAttribute = 'name';

    public static function form(Schema $schema): Schema
    {
        return GameServersForm::configure($schema);
    }

    public static function infolist(Schema $schema): Schema
    {
        return GameServersInfolist::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return GameServersTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListGameServers::route('/'),
            'create' => CreateGameServers::route('/create'),
            'view' => ViewGameServers::route('/{record}'),
            'edit' => EditGameServers::route('/{record}/edit'),
        ];
    }
}
